IF NOT EXISTS
	(
		SELECT 
			C.*
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
				INNER JOIN SysTypes T ON C.xtype = T.xtype
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name = 'tbSecretField'
			AND
			T.Name = 'nvarchar'
			AND
			C.Name = 'SecretFieldName'
	)
	BEGIN

		ALTER TABLE tbSecretField ALTER COLUMN [SecretFieldName] NVARCHAR(255)

	END
GO

IF NOT EXISTS
	(
		SELECT 
			C.*
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
				INNER JOIN SysTypes T ON C.xtype = T.xtype
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name = 'tbSecretField'
			AND
			T.Name = 'nvarchar'
			AND
			C.Name = 'SecretFieldDisplayName'
	)
	BEGIN

		ALTER TABLE tbSecretField ALTER COLUMN [SecretFieldDisplayName] NVARCHAR(255)

	END
GO

IF NOT EXISTS
	(
		SELECT 
			C.*
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
				INNER JOIN SysTypes T ON C.xtype = T.xtype
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name = 'tbSecretField'
			AND
			T.Name = 'nvarchar'
			AND
			C.Name = 'SecretFieldDescription'
	)
	BEGIN

		ALTER TABLE tbSecretField ALTER COLUMN [SecretFieldDescription] NVARCHAR(255)

	END
GO