<%@ Page language="c#" Codebehind="FolderEdit.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.FolderEdit" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="ihawu_web" TagName="PermissionGrid" src="~/usercontrols/GroupPermissionGrid.ascx" %>

<ihawu:masterpage id="masterPage" runat="server">
<custom:NewDialog id="EditFolderDialog"  Watermark="images/folders.gif" runat="server">
	<table>
	<tr>
		<td>
			<thycotic:fieldlabel id="FolderNameCaptionLabel" runat="server" text="Folder Name"></thycotic:fieldlabel></td>
		<td>
			<thycotic:textbox id="FolderNameTextBox" runat="server" MaxLength="50" />
			<thycotic:requiredfieldvalidator id="FolderNameTextBoxValidator" runat="server" errormessage="Please enter a Folder Name." controltovalidate="FolderNameTextBox" />
			<thycotic:BusinessValidator id="FolderNameExistsValidator" runat="server" errormessage="This folder already exists." controltovalidate="FolderNameTextBox" />
		</td>
	</tr>
	</table>
		<br />
		<ihawu_web:PermissionGrid runat="Server" id="FolderPermissionDataGrid"/>
	<br />
	<thycotic:button id="FolderSaveButton" runat="server" text="Save"></thycotic:button>
	<thycotic:button id="FolderDeleteButton" runat="server" text="Delete"></thycotic:button>
	<thycotic:button id="FolderCancelButton" runat="server" text="Cancel"></thycotic:button>
</custom:NewDialog>
<script language="javascript">
addOnLoad(function() { var textbox = document.getElementById("FolderNameTextBox"); if (textbox != null) textbox.focus(); });
</script>
</ihawu:masterpage>
