<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="ihawu_web" tagname="LicenseLink" src="~/usercontrols/LicenseLink.ascx" %>
<%@ Page language="c#" Codebehind="ConfigurationActiveDirectoryEdit.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.ConfigurationActiveDirectoryEditWebForm" %>
<ihawu:masterpage id="masterPage" runat="server">
<custom:NewDialog id="ActiveDirectoryEditDialog" caption="Edit Active Directory Configuration" runat="server">
<table>
		<tr>
			<td>
				<thycotic:fieldlabel id=EnableActiveDirectoryLabel runat="server" Text="Enable Active Directory Integration"/>
			</td>
			<td>
				<thycotic:checkbox id="ActiveDirectoryEnableCheckBox" runat="server"/>
			</td>
			<td>&nbsp;&nbsp;</td>
			<td>&nbsp;&nbsp;</td>
		</tr>
		<tr>
			<td>
				<thycotic:fieldlabel id=AuthenicateAgainstActiveDirectoryLabel runat="server" text="Authenticate Password against Active Directory"/>
			 </td>
			<td>
				<thycotic:checkbox id="AuthenicateAgainstActiveDirectoryCheckBox" runat="server" />
			</td>
			<td>&nbsp;&nbsp;</td>
			<td>&nbsp;&nbsp;</td>
		</tr>
		<tr>
			<td>
				<thycotic:fieldlabel id="AllowSynchronizationLabel" runat="server" text="Enable Synchronization of Active Directory"/>
			 </td>
			<td>
				<thycotic:checkbox id="AllowSynchronizationCheckBox" runat="server" autopostback="true" />
			</td>
			<td>&nbsp;&nbsp;</td>
			<td>&nbsp;&nbsp;</td>
		</tr>
		<tr>
			<td valign="top">
				<thycotic:fieldlabel id="SynchronizationIntervalLabel" runat="server" Text="Synchronization Interval for Active Directory"></thycotic:fieldlabel>
			</td>
			<td>
				<asp:panel id="SynchronizationDayHoursMinutesPanel" runat="server">
				<table>
					<tr>
						<td><thycotic:label id="SynchronizationDaysLabel" runat="server" Text="Days" /></td>
						<td><thycotic:textbox id="SynchronizationDaysTextBox" runat="server" Text="" maxlength="4" size="4"></thycotic:textbox></td>
					</tr>
					<tr>
						<td><thycotic:label id="SynchronizationHoursLabel" runat="server" Text="Hours" /></td>
						<td><thycotic:textbox id="SynchronizationHoursTextBox" runat="server" Text="" maxlength="2" size="4"></thycotic:textbox></td>
					</tr>
					<tr>
						<td><thycotic:label id="SynchronizationMinutesLabel" runat="server" Text="Minutes" /></td>
						<td><thycotic:textbox id="SynchronizationMinutesTextBox" runat="server" Text="" maxlength="2" size="4"></thycotic:textbox></td>
					</tr>
				</table>
				</asp:panel>
			<td>&nbsp;&nbsp;</td>
			<td colspan=3><br></td>
		</tr>
		<tr>
			 <td colspan="2">
			<br/>
			<p runat="server" id="LicenseNoteParagraph" class="Note" visible="false">
				<img src="images/alert.gif" align="middle"/> 
				<asp:Literal runat="server" id="InstallLicensesTextLiteral" text="You must install an Active Directory Add-On license to use this feature." />
				<br/><ihawu_web:licenselink id="LicenseLink1" runat="server" />
			</p>
				<thycotic:button id=SaveButton runat="server" text="Save"></thycotic:button>
				<thycotic:button id=CancelButton runat="server" text="Cancel"></thycotic:button>&nbsp;&nbsp;&nbsp; 
			</td>
		</tr>
	</table>
		<thycotic:businessvalidator id="SynchronizationDaysValidator" runat="server"></thycotic:businessvalidator>
		<thycotic:businessvalidator id="SynchronizationHoursValidator" runat="server"></thycotic:businessvalidator>
		<thycotic:businessvalidator id="SynchronizationMinutesValidator" runat="server"></thycotic:businessvalidator>
 </custom:NewDialog>
</ihawu:masterpage>
