DECLARE @NewSecretTypeId INT
DECLARE @NewSecretTypeName VARCHAR (255)

SET @NewSecretTypeId = 14
SET @NewSecretTypeName = 'Product License Key'

IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			tbSecretType
		WHERE 
			tbSecretType.SecretTypeName = @NewSecretTypeName
	)
BEGIN
	SET IDENTITY_INSERT [dbo].[tbSecretType] ON
	INSERT INTO [dbo].[tbSecretType] (
		[SecretTypeId]
		,[SecretTypeName]
		,[ConcurrencyID]
		)
	SELECT @NewSecretTypeId, @NewSecretTypeName		, '03A1FACD-008E-463a-55E1-33B0DD7DCBF3'
	SET IDENTITY_INSERT [dbo].[tbSecretType] OFF
	
	SET IDENTITY_INSERT [dbo].[tbSecretField] ON
	INSERT INTO [dbo].[tbSecretField] (
		[SecretFieldId]
		,[SecretFieldName]
		,[SecretFieldDisplayName]
		,[SortOrder]
		,[SecretTypeID]
		,[Required]
		,[DataType]
		,[MustEncrypt]
		,[IsPassword]
		,[ConcurrencyID]
		)
	--											SortOrder             Required   Encrypt IsPassword
	SELECT 56,
		'Licensed To', 'Licensed To',				1,	@NewSecretTypeId, 1, 'string' ,0,	0, 'AB85044F-5106-429b-BEBA-2833445B7F68' UNION
	SELECT 57,
		'Product Name', 'Product Name',				2,	@NewSecretTypeId, 1, 'string' ,0,	0, '98111322-DC26-4072-A9F9-2233A8C4EB88' UNION
	SELECT 58,
		'License Key', 'Product License Key',		3,	@NewSecretTypeId, 1, 'string' ,1,	0, 'AB85044F-5106-429b-BEBA-2811C45B7F68' UNION
	SELECT 59,
		'Notes', 'Notes',							4,	@NewSecretTypeId, 0, 'string' ,1,	0, '5E042FD2-18EC-4866-A04A-0522B5A59ED4'
	SET IDENTITY_INSERT [dbo].[tbSecretField] OFF
END


