<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Page language="c#" Codebehind="SecretTypeEditPasswords.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.SecretTypeEditPasswords" %>
<ihawu:masterpage id="masterPage" runat="server">
<custom:NewDialog id="SecretTypePasswordDialog" caption="Secret Type Passwords" runat="server">
	<table width="100%">
		<tr>
			<td><thycotic:Label runat="server" Font-Bold="true" id="SecretTypeName" /></td>
		</tr>
		<tr>
			<td>
				<br/>
				<thycotic:DataGrid runat="server" id="PasswordFieldsGrid" AutoGenerateColumns="false" AllowSorting="true" ShowNoItemsMessage="false" Width="100%" ShowFooter="False" AllowPaging="False" PageSize="1000" >
					<Columns>
						<asp:TemplateColumn HeaderText="Field Name">
							<ItemTemplate>
								<thycotic:Label runat="server" id="FieldNameLabel" />
							</ItemTemplate>
							<EditItemTemplate>
								<thycotic:Label runat="server" id="FieldNameLabel" />
							</EditItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn HeaderText="Password Length">
							<ItemTemplate>
								<thycotic:Label runat="server" id="GeneratePasswordLengthLabel" />
							</ItemTemplate>
							<EditItemTemplate>
								<thycotic:businessvalidator visible="true" id="GeneratePasswordLengthBusinessValidator" runat="server" />
								<thycotic:TextBox runat="server" Size="3" MaxLength="3" id="GeneratePasswordLengthTextBox" />
							</EditItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn HeaderText="Password Character Set">
							<ItemTemplate>
								<thycotic:Label runat="server" id="GeneratePasswordCharacterSetLabel" />
							</ItemTemplate>
							<EditItemTemplate>
								<thycotic:businessvalidator visible="true" id="GeneratePasswordCharacterSetBusinessValidator" runat="server" />
								<thycotic:TextBox runat="server" Size="35" id="GeneratePasswordCharacterSetTextBox" />
							</EditItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn>
							<ItemTemplate>
								<asp:imagebutton CommandName="Edit" AlternateText="Edit" ImageUrl="~/images/icon-pencil.gif" runat="server" id="EditImageButton" CausesValidation="false" />
							</ItemTemplate>
							<EditItemTemplate>
								<asp:imagebutton CommandName="Update" AlternateText="Update" ImageUrl="~/images/icon-floppy.gif" runat="server" id="UpdateImageButton" CausesValidation="false" />
								<asp:imagebutton CommandName="Cancel" AlternateText="Cancel" ImageUrl="~/images/icon-cancel.gif" runat="server" id="CancelImageButton" CausesValidation="false" />
							</EditItemTemplate>
						</asp:TemplateColumn>
					</Columns>
				</thycotic:DataGrid>
			</td>
		</tr>
		<tr>
			<td>
				<br>
				<thycotic:button id="BackButton" runat="server" text="Back" />&nbsp;
			</td>
		</tr>
	</table>		
</custom:NewDialog>
</ihawu:masterpage>